[packages/chromium-browser/DEVEL] rm -rf third_party/gles2_book win8

glen glen at pld-linux.org
Fri Jan 4 22:43:57 CET 2013


commit 8352ba82f1c14028bc3dcc2392761ebe6eddd911
Author: Elan Ruusamäe <glen at delfi.ee>
Date:   Thu Jan 3 16:03:10 2013 +0200

    rm -rf third_party/gles2_book win8

 clean-source.sh | 31 +++++++++++++++----------------
 1 file changed, 15 insertions(+), 16 deletions(-)
---
diff --git a/clean-source.sh b/clean-source.sh
index 5722db7..5d450f5 100755
--- a/clean-source.sh
+++ b/clean-source.sh
@@ -293,6 +293,7 @@ remove_nonessential_dirs() {
 	third_party/ffmpeg/chromium/include/win \
 	third_party/ffmpeg/tests \
 	third_party/fuzzymatch \
+	third_party/gles2_book \
 	third_party/gles_book_examples \
 	third_party/gold \
 	third_party/harfbuzz/tests \
@@ -425,11 +426,24 @@ remove_nonessential_dirs() {
 	webkit/plugins/npapi/test \
 	webkit/tools/test/reference_build \
 	webkit/tools/test_shell/mac \
+	win8 \
 	; do
 		rm -vfr "$dir"
 	done
 }
 
+# There are directories we want to strip, but that are unnecessarily required by the build-system
+# So we drop everything but the gyp/gypi files
+almost_strip_dirs() {
+	local dir
+	for dir in \
+		chrome/test/data \
+		courgette \
+		; do
+		find $dir -depth -mindepth 1 \! \( -name '*.gyp' -o -name '*.gypi' \) -print -delete || :
+	done
+}
+
 # clean third party
 # list based from archlinux PKGBUILD
 # https://aur.archlinux.org/packages/ch/chromium-dev/PKGBUILD
@@ -530,24 +544,9 @@ strip_system_dirs() {
 	done
 }
 
-# There are directories we want to strip, but that are unnecessarily required by the build-system
-# So we drop everything but the gyp/gypi files
-almost_strip_dirs() {
-	local dir
-	for dir in "$@"; do
-		find $dir -depth -mindepth 1 \! \( -name '*.gyp' -o -name '*.gypi' \) -print -delete || :
-	done
-}
-
 remove_nonessential_dirs | tee -a REMOVED-nonessential_dirs.txt
 remove_bin_only | tee -a REMOVED-bin_only.txt
-
-almost_strip_dirs \
-	chrome/test/data \
-	courgette \
-	third_party/gles2_book \
-	win8 \
-| tee -a REMOVED-stripped.txt
+almost_strip_dirs | tee -a REMOVED-stripped.txt
 
 strip_system_dirs \
 	native_client/src/third_party_mod/jsoncpp \
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/chromium-browser.git/commitdiff/4884fc995902450f6cd5512b71e22d5566e4448d



More information about the pld-cvs-commit mailing list